/*****************************************************************************

  COPYRIGHT (c) 1995
  THE BOARD OF TRUSTEES OF THE LELAND STANFORD JUNIOR UNIVERSITY
  ALL RIGHTS RESERVED

  No duplications, whole or partial, manual or electronic, may be made
  without the express permission of the author. Any such copies, or
  revisions thereof, must display this notice unaltered.

  Robotics Laboratory,
  Computer Science Department,
  Stanford University

  Original author: 
  Lydia Kavraki (kavraki@cs.stanford.edu)

******************************************************************************/



			/*for the robot*/
configuration	Begin_pos, End_pos;
int		Num_cntl_points;
int 		Cntl_points[NUM_CNTL_POINTS];
int		BaseX, BaseY;
int 		Link_length;
int		Link_vertices;
IPoint		Link[MAX_LINK_VERTICES];

			/*for the workspace*/
int 		ObjNum;			
int 		ObjectwVertice[MAXOBST];
IPoint		Objectw[MAXVERTEX][MAXOBST];
int		Wspace[DIM][DIM];


			/*for planning*/
int		Dist[DIM][DIM];
unsigned int	Cspace[DIM][DIM][DIM/32];
int 		Dimx = DIM, Dimy = DIM, Dim = DIM, ThetaDim=DIM;
double 		Table_sin[DIM], Table_cos[DIM];
double          Table_sin_length[DIM], Table_cos_length[DIM];


                        /*for the intermediate points*/
FPoint          FK_inter[MAX_INTER][NBP];
configuration   Inter_p[MAX_INTER];
int             No_inter;
cellp           *Graph[MAX_INTER];

			/*variables that represent parameters 
			  to the program*/
int		Check_init_positions = 0;

int		Fixed_base = 0;
int 		Read_Workspace = 0;
int		Use_preprocess = 0;
int		Connect_distance = BIG_DIST; 
int		Random_connect_length = 80;

/************the following are particular to stage 3************/

                        /*Paths that are kept around*/
configuration   Full_path[MAXPATH], Sh_path[MAXPATH], Sm_path[MAXPATH];
int             Full_path_len, Sh_path_len, Sm_path_len;
int		Found;

double          Timings[10], PostPros_time, Plan_time;
int             Lengths[10];

int		Single = 0;
int		With_interface = 0;
int		Query_time = 10;

char            Input_file_name[100];
char            Input_network_name[100];
char            Workspace_name[100];
char            Path_file_name[100];
char            Stat_file[100];
char            Cspace_fname[100], Dist_fname[100], Pot_fname[100];


