/*****************************************************************************

  COPYRIGHT (c) 1995
  THE BOARD OF TRUSTEES OF THE LELAND STANFORD JUNIOR UNIVERSITY
  ALL RIGHTS RESERVED

  No duplications, whole or partial, manual or electronic, may be made
  without the express permission of the author. Any such copies, or
  revisions thereof, must display this notice unaltered.

  Robotics Laboratory,
  Computer Science Department,
  Stanford University

  Original author:
  Lydia Kavraki (kavraki@cs.stanford.edu)

******************************************************************************/


#include "defs.h"
#include "extern.h"
#define TRUE 		1
#define FALSE 		0
#define NO_CHANGE	-1
#define MAX_ARGS 	20

#define ZOOM_IN		0    	/* "ZOOM" button values */
#define ZOOM_OUT	1

#define SELECT		0    	/* "Operation" toggle choices */
#define VIEW		1
#define DELETE		2

#define LOAD_WORKSPACE  0    	/* "File" menu choices */
#define PRINT		1
#define QUIT		2
#define INIT_POS	4
#define FINAL_POS	5
#define EASY_PLAN	6
#define	NUM_OF_DIRS     7
#define SHOW_PATH	8
#define ANIMATE		9
#define LOAD_GRAPH	10
#define COM_CSPACE 	11	
#define RPP_PLAN	12
#define ANIMATE_F_PATH  13
#define ANIMATE_SH_PATH 14
#define ANIMATE_SM_PATH 15
#define WRITE_PATH	16

#define NO		0   	/* responses to dialogs */
#define YES		1
#define OK		1 
#define CANCEL		2
#define CLOSE		3

#include <stdio.h>
#include <string.h>
#include <time.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <stdlib.h>
#include <X11/Xos.h>
#include <X11/cursorfont.h>
#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>
#include <X11/keysymdef.h>
#include <Xm/Xm.h>
#include <Xm/BulletinB.h>
#include <Xm/CascadeB.h>
#include <Xm/Command.h>
#include <Xm/DrawingA.h>
#include <Xm/DrawnB.h>
#include <Xm/Frame.h>
#include <Xm/FileSB.h>
#include <Xm/Form.h>
#include <Xm/Label.h>
#include <Xm/LabelG.h>
#include <Xm/MainW.h>
#include <Xm/MessageB.h>
#include <Xm/PushB.h>
#include <Xm/PushBG.h>
#include <Xm/RowColumn.h>
#include <Xm/Scale.h>
#include <Xm/ScrollBar.h>
#include <Xm/ScrolledW.h>
#include <Xm/SelectioB.h>
#include <Xm/SeparatoG.h>
#include <Xm/Text.h>
#include <Xm/TextF.h>
#include <Xm/ToggleBG.h>
#include <Xm/ToggleB.h>


